Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77621 - 40 GB Western Digital HD - WD400BB - causes kernel panic after install
Summary: 40 GB Western Digital HD - WD400BB - causes kernel panic after install
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-11 04:36 UTC by Josh Mishio
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-05 12:39:23 UTC


Attachments (Terms of Use)

Description Josh Mishio 2002-11-11 04:36:18 UTC
Description of Problem:
I received a couple of errors during the install after partitioning but before
copying files. I did not write them down. They can be recreated if absolutely
necessary. However the rest of the install went forward and copied files
sucessfully. After the install during booting up the system stops at:
       "Kernel panic: No init found.  Try passing init= option to kernel."

System info:
Intel PII 350
Intel JN440BX
Phoenix Bios 4.0 Release 6.0
256 MB RAM
Western Digital 40GB HD (model WD400BB)

Last few lines before "Kernel panic":

       Mounting root filesystem
       kjournald starting. Commit interval 5 seconds
       EXT3-fs error (device ide0(3,5)): ext3_get_inode_loc: unable to read
inode block - inode=3588097, block=7176197
       pivotroot: pivot_root(/sysroot,/sysroot/initrd) failed: 5
       umount /initrd/proc failed: 2
       Freeing unused kernel memory: 212k freed
       Kernel panic: No init found. Try passing init= option to kernel.

The BIOS appears to recognize the drive correctly. I have tried letting it auto
detect in which it enables LBA. I have also manually disabled LBA in the BIOS 
to
see if it was an issue and same error was received either way. During the
install it recognizes the full drive and allows partitioning it with no 
problems. 


Version-Release number of selected component (if applicable):
RedHat 8.0

How Reproducible: upon boot everytime.


Steps to Reproduce:
1. install RH 8.0 (using each of the different options, Custom, Server, Etc.)
2. reboot
3. kernel panic error

Actual Results:


Expected Results:


Additional Information:

Comment 1 Alan Cox 2003-06-05 12:39:23 UTC
Unfortunately without those partitioning errors this bug isnt a lot of use. The
panic reported is the logical result of an install failing I'm afraid



Note You need to log in before you can comment on or make changes to this bug.